@import url(https://fonts.googleapis.com/css?family=Poppins:100,100italic,200,200italic,300,300italic,regular,italic,500,500italic,600,600italic,700,700italic,800,800italic,900,900italic);

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "Poppins", sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 100vh;
}

::-webkit-scrollbar {
  width: 0;
}

.wrapper {
  width: 100%;
  height: 100vh;
  overflow: hidden;
  position: relative !important;
  padding: 50px 15px;
  background: #fcfcfc;
}
.island {
  display: none;
}

@media screen and (min-width: 768px) {
  .wrapper {
    width: 400px;
    height: 800px;
    border: 10px solid black;
    border-radius: 60px;
    margin: 50px 0;
  }
  .island {
    display: block;
    width: 130px;
    height: 35px;
    background: #000;
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    border-radius: 30px;
  }
}

.overlay {
  height: 70%;
  width: 150%;
  background: #f9ea85;
  position: absolute;
  top: -25%;
  left: 50%;
  transform: translateX(-50%);
  border-radius: 50%;
  z-index: 50;
}

.main {
  position: relative;
  z-index: 2;
  height: 100%;
  width: 100%;
  overflow-y: scroll;
}

.info {
  display: flex;
  justify-content: space-between;
  width: 100%;
  margin-top: 30px;
  position: relative;
}

.info .text h2 {
  font-weight: 600;
  text-transform: capitalize;
  padding-bottom: 4px;
  font-size: 24px;
}

.info .text {
  font-weight: 500;
  text-transform: capitalize;
  font-size: 16px;
}

.img {
  width: 120px;
  height: 120px;
  background: white;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 15px;
}

img {
  width: 100%;
  height: 100%;
}

.img img {
  max-width: 80%;
  max-height: 95%;
}
.task-wrapper {
  margin-top: 5%;
  width: 100%;
  height: 100%;
  overflow-y: scroll;
  flex: 1;
  padding: 20px 0;
  background: transparent;
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.task {
  width: 100%;
  background: white;
  border-radius: 20px;
  padding: 20px;
  box-shadow: 0 5px 5px 5px rgba(0, 0, 0, 0.208);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.task-right {
  display: flex;
  align-items: center;
  gap: 10px;
}

.task-right label {
  font-weight: 600;
  font-size: 16px;
  text-transform: capitalize;
  transition: all .2s;
}
.task-right input {
  accent-color: #000000;
}
.task-right input:checked ~ label {
  text-decoration: line-through black;
  color: #9b9b9b;
}

.task .task-left {
  display: flex;
  gap: 12px;
}

.task .task-left .edit {
  background: transparent !important;
  cursor: pointer;
  border: none;
  padding: 2px;
  transition: all 0.3s ease-in-out;
}

.task .task-left .edit:hover {
  background: #dddddd !important;
  cursor: pointer;
  border: none;
}

.task .task-left .delete-btn {
  background: transparent !important;
  border: none;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  padding: 2px;
}

.task .task-left .delete-btn:hover {
  background: #dddddd !important;
  cursor: pointer;
  border: none;
}

.add-task {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background: #54dfbc;
  position: absolute;
  bottom: 10%;
  right: 10%;
  z-index: 30;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #000000;
  transition: all 0.2s ease-in-out;
}

.add-task:hover {
  transform: scale(1.2);
}

.add-task-btn {
  outline: none;
  border: none;
  width: 100%;
  height: 100%;
  cursor: pointer;
  font-size: 70px;
  font-weight: 500;
  color: white;
  background: transparent;
}

.task-modal.active {
  border-radius: 20px 20px 0 0;
  background: #f9ea85;
  bottom: -3.8%;
  z-index: 40;
  padding: 20px 20px 40px 20px;
  border-top: 2px solid;
  transition: all 0.3s ease;
}

.task-modal {
  height: 45%;
  width: 100%;
  position: absolute;
  bottom: -55%;
  left: 0;
  transition: all 0.3s ease;
}

.box {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.task-modal #input {
  width: 100%;
  outline: none;
  border: none;
  padding: 20px 0 20px 10px;
  border-radius: 10px;
  font-weight: 500;
  font-size: 16px;
  text-transform: capitalize;
  border: 2px solid transparent;
  transition: all 0.2s;
  margin-bottom: 10px;
}
.error {
  margin-bottom: 30px;
  font-weight: 500;
  font-size: 16px;
  text-transform: capitalize;
  color: red;
  display: none;
}
.task-modal #input:focus-within {
  border-color: #b0b0b0;
}
.task-modal h2 {
  text-align: center;
}

.submit {
  width: 100%;
  border: 0;
  padding: 20px;
  border-radius: 10px;
  background: white;
  font-size: 18px;
  cursor: pointer;
  border: 2px solid;
  font-weight: 600;
}

.close {
  background: white;
  border-radius: 10px;
  border: 0;
  cursor: pointer;
  position: absolute;
  top: 5%;
  right: 5%;
}

.task-modal.active ~ .task-overlay {
  width: 100%;
  display: block;
  height: 100%;
  position: absolute;
  background: rgba(81, 79, 79, 0.409);
  z-index: 30;
  top: 0;
  left: 0;
  cursor: pointer;
}

.task-overlay {
  display: none;
}

.task-wrapper .no-task {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: static;
  z-index: 70;
}

.task-wrapper .no-task p {
  font-weight: 500;
  font-size: 18px;
  color: #a7a7a7dd;
  text-transform: capitalize;
}



.task-screen {
  transform: translateX(120%);
  transition: transform .3s ease-in-out;
}

.task-screen.active  {
  transform: translateX(0);
}
.task-screen.active .info {
  margin-top: 70px;
}

.task-screen.active ~ .name-screen {
  transform: translateX(-120%);
  transition: transform .3s ease-in-out;
}


.name-screen {
  top: 20% !important;
  transform: translateX(0);
    display: flex;
  flex-direction: column;
  gap: 20%;
  display: none;
}

.task-screen,
.name-screen {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 90;
  padding: 12px 14px;
}

.header {
  padding-bottom: 10px;
}

.name-screen .header h2{
  font-weight: 600;
  font-size: 40px;
  text-transform: capitalize;
}
.name-screen .header p {
    font-weight: 400;
  font-size: 18px;
  text-transform: capitalize
}

.name-box {
  display: flex;
  flex-direction: column;
  gap: 20px;
  justify-content: center;
}

.ball {
  width: 200px;
  height: 200px;
  position: absolute;
  top: -7%;
  right: -21%;
  background: #FF9644;
  border-radius: 50%;
  z-index: 90;

}

.task-screen.active ~ .ball {
  display: none;
}

.ball.small {
  width: 100px;
  height: 100px;
  background: #c16926;
  top: 10%;
  right: -50px;
}


.ball.bottom {
  width: 150%;
  height: 50%;
  background: #f7a262;
 top: 70% ;
 left: 50%;
 transform: translate(-50%);
 z-index: 10;
}

.name-screen .name-box label {
font-weight: 500;
font-size: 16px;
text-transform: capitalize;
display: block;
}

.name-box input {
  width: 100%;
  border: 2px solid rgb(3, 225, 229);
  border-radius: 10px;
  padding: 20px;
margin-bottom: 70px;
text-transform: capitalize;
}

.name-box button {
  width: 100%;
  padding: 12px;
  font-weight: 600;
  font-size: 18px;
  background: white;
  border-radius: 12px;
  cursor: pointer;
  border: none ;
}


.logout .menu {
    background: transparent;
    border: 0;
    position: absolute;
    top: 5%;
    left: 14px;
    cursor: pointer;
}

.log-box button {
  position: absolute;
  top: 8.2%;
  left: 10px;
  z-index: 20;
  background: white;
  border: 0;
  padding: 16px 8px;
  display: none;
  align-items: center;
  gap: 8px;
  border-radius: 12px;
  font-weight: 500;
  text-transform: capitalize;
  transition: all .3s;
  cursor: pointer;
}

.log-box.active button {
  display: flex;
}

.log-box button:hover {
  color: red;
}